---
updatedAt: 2025-03-13T20:23:40.000Z
agentTools:
  projectIndex: https://mifinity.readme.io/llms.txt
---

# Get Transactions Status History

An API call that gets transaction status history for a particular account holder between *fromdate* and *todate*. If *fromdate* and *todate* both are on a same date, it will display whole day transactions status history no matter what time they are. We return the transaction status history in pages, you can use the page parameter to get the next list of transactions after the first API call.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "transaction-information",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://demo.mifinity.com/api/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/account-holders/{accountHolderId}/transactions/history?": {
      "get": {
        "summary": "Get Transactions Status History",
        "description": "An API call that gets transaction status history for a particular account holder between *fromdate* and *todate*. If *fromdate* and *todate* both are on a same date, it will display whole day transactions status history no matter what time they are. We return the transaction status history in pages, you can use the page parameter to get the next list of transactions after the first API call.",
        "operationId": "get-transactions-status-history",
        "parameters": [
          {
            "name": "accountHolderId",
            "in": "path",
            "description": "Unique account Holder Id (Path Variable)",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "fromdate",
            "in": "query",
            "description": "Transactions from date (Request Parameter). DateTime should be in the ISO format (yyyy-MM-ddTHH:mm:sssZ)\"",
            "required": true,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "todate",
            "in": "query",
            "description": "Transactions to date (Request Parameter). DateTime should be in the ISO format (yyyy-MM-ddTHH:mm:sssZ)\"",
            "required": true,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"payload\": [\n    {\n      \"traceId\": \"string\",\n      \"createdOn\": \"string\",\n      \"description\": \"string\",\n      \"stateName\": \"string\"\n    } \n  ],\n  \"page\": {\n    \"size\": \"integer\",\n    \"page\": \"integer\",\n    \"total\": \"integer\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "payload": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "traceId": {
                            "type": "string",
                            "example": "string"
                          },
                          "createdOn": {
                            "type": "string",
                            "example": "string"
                          },
                          "description": {
                            "type": "string",
                            "example": "string"
                          },
                          "stateName": {
                            "type": "string",
                            "example": "string"
                          }
                        }
                      }
                    },
                    "page": {
                      "type": "object",
                      "properties": {
                        "size": {
                          "type": "string",
                          "example": "integer"
                        },
                        "page": {
                          "type": "string",
                          "example": "integer"
                        },
                        "total": {
                          "type": "string",
                          "example": "integer"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"errors\": [\n    {\n      \"type\": \"string\",\n      \"errorCode\": \"string\",\n      \"message\": \"string\",\n      \"field\": \"string\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "type": {
                            "type": "string",
                            "example": "string"
                          },
                          "errorCode": {
                            "type": "string",
                            "example": "string"
                          },
                          "message": {
                            "type": "string",
                            "example": "string"
                          },
                          "field": {
                            "type": "string",
                            "example": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "api-version",
        "value": "1"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```